Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoUniformProfileMsg Class Reference
GoSdk/Messages » Data Channel

## Description

Represents a data message containing a set of re-sampled profile arrays.

Note
  Supported with G1, G2

Inheritance diagram for GoUniformProfileMsg:

## Public Member Functions
kStatus | GoDataMsg_SetStreamStep (GoDataMsg message, GoDataStep streamStep)
| Sets the source of the data stream. More...
kStatus | GoDataMsg_SetStreamStepId (GoDataMsg message, k32s streamStepId)
| Sets the identifier of the data stream from the source. More...
GoDataStep | GoDataMsg_StreamStep (GoDataMsg message)
| Gets the source of the data stream. More...
k32s | GoDataMsg_StreamStepId (GoDataMsg message)
| Gets the identifier of the data stream from the source. More...
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k16s * | GoUniformProfileMsg_At (GoUniformProfileMsg msg, kSize index)
| Gets a pointer to a re-sampled profile array. More...
kSize | GoUniformProfileMsg_Count (GoUniformProfileMsg msg)
| Gets the count of re-sampled profile arrays in this message. More...
k32u | GoUniformProfileMsg_Exposure (GoUniformProfileMsg msg)
| Gets the exposure. More...
GoDataSource | GoUniformProfileMsg_Source (GoUniformProfileMsg msg)
| Gets the profile source. More...
kSize | GoUniformProfileMsg_Width (GoUniformProfileMsg msg)
| Gets the count of points in each re-sampled profile array. More...
k32s | GoUniformProfileMsg_XOffset (GoUniformProfileMsg msg)
| Gets the profile x-offset, in micrometers. More...
k32u | GoUniformProfileMsg_XResolution (GoUniformProfileMsg msg)
| Gets the x-resolution, in nanometers. More...
k32s | GoUniformProfileMsg_ZOffset (GoUniformProfileMsg msg)
| Gets the profile z-offset, in micrometers. More...
k32u | GoUniformProfileMsg_ZResolution (GoUniformProfileMsg msg)
| Gets the profile z-resolution, in nanometers. More...

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h